package cn.superdesk.uniorder.dubbo.facade.order.base;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderCredit;
import cn.superdesk.uniorder.dto.dubbo.base.UnifiedOrderCreditParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-09-23 15:16:04
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-09-23 15:16:04
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUnifiedOrderCreditService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UnifiedOrderCreditParam param);

	@Deprecated
	void updateObj(UnifiedOrderCreditParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedOrderCredit findById(Long id);

	@Deprecated
	PageInfo<UnifiedOrderCredit> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedOrderCredit> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedOrderCredit(UnifiedOrderCreditParam param);

	void updateUnifiedOrderCredit(UnifiedOrderCreditParam param);

	void deleteUnifiedOrderCredit(Long id);

	UnifiedOrderCredit findUnifiedOrderCreditById(Long id);

	R<List<UnifiedOrderCredit>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	Map<String, Integer> checkStatement(Map<String, Object> conditions);

	/****************************************** 补丁程序 start ******************************************/

	String checkAndFixAccountingStateCustomer(/*积分批次号*/String batchs);

	/****************************************** 补丁程序   end ******************************************/

	/****************************************** 工具类方法 start ******************************************/

	List<String> queryOrderSnsBySelectCreditIds(List<Long> selectCreditIds);

	/****************************************** 工具类方法   end ******************************************/
}
